Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emfforms.internal.core.services.databinding.mapping
Class EMFMappingValueProperty_Test

    java.lang.Object
      org.eclipse.emfforms.internal.core.services.databinding.mapping.EMFMappingValueProperty_Test

    public class EMFMappingValueProperty_Test

extends Object

JUnit test cases for `EMFMappingValueProperty`.

Author:
  Lucas Koehler

Constructor Summary
`EMFMappingValueProperty_Test()`

Method Summary
`void` | `testDoGetValue()` Test method for `EMFMappingValueProperty.doGetValue(java.lang.Object)` .
`void` | `testDoGetValueNoMapEntry()` Test method for `EMFMappingValueProperty.doGetValue(java.lang.Object)` .
`void` | `testDoSetValueObjectAddEntry()` Test method for `EMFMappingValueProperty.doSetValue(java.lang.Object, java.lang.Object)` .
`void` | `testDoSetValueObjectReplaceEntry()` Test method for `EMFMappingValueProperty.doSetValue(java.lang.Object, java.lang.Object)` .

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EMFMappingValueProperty_Test

    public EMFMappingValueProperty_Test()

Method Detail

### testDoGetValue

    public void testDoGetValue()

  Test method for `EMFMappingValueProperty.doGetValue(java.lang.Object)` .

### testDoGetValueNoMapEntry

    public void testDoGetValueNoMapEntry()

  Test method for `EMFMappingValueProperty.doGetValue(java.lang.Object)` .

### testDoSetValueObjectReplaceEntry

    public void testDoSetValueObjectReplaceEntry()

  Test method for `EMFMappingValueProperty.doSetValue(java.lang.Object, java.lang.Object)` .

### testDoSetValueObjectAddEntry

    public void testDoSetValueObjectAddEntry()

  Test method for `EMFMappingValueProperty.doSetValue(java.lang.Object, java.lang.Object)` .

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.